Subject: bug#30904: 26.0.91; tramp.el: Outdated docstring of tramp-dissect-file-name

From: Pierre Neidhardt <[email-masked]>
Date: Thu, 22 Mar 2018 11:51:28 +0530

On the one hand, tramp-make-tramp-file-name documents the new DOMAIN and
PORT arguments:

> tramp-make-tramp-file-name is a compiled Lisp function in ‘tramp.el’.
> 
> (tramp-make-tramp-file-name METHOD USER DOMAIN HOST PORT LOCALNAME &optional
> HOP)
> 
> Constructs a Tramp file name from METHOD, USER, HOST and LOCALNAME.
> When not nil, optional DOMAIN, PORT and HOP are used.

On the other hand, tramp-dissect-file-name fails to reference them:

> tramp-dissect-file-name is a compiled Lisp function in ‘tramp.el’.
> 
> (tramp-dissect-file-name NAME &optional NODEFAULT)
> 
> Return a ‘tramp-file-name’ structure.
> The structure consists of remote method, remote user, remote host,
> localname (file name on remote host) and hop.  If NODEFAULT is
> non-nil, the file name parts are not expanded to their default
> values.

I think we should mention DOMAIN and PORT in the dissect function docstring.
The code actually handles them.

In GNU Emacs 26.0.91 (build 3, x86_64-pc-linux-gnu, GTK+ Version 3.22.26)
 of 2018-03-03 built on mimimi
Repository revision: 752fba992b793a74d202c9cfc3e1a92fd458e748
Windowing system distributor 'The X.Org Foundation', version 11.0.11906000
System Description:	Void Linux